Create agent
curl --request POST \
--url https://api.upon-ai.com/api/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": 123,
"agent_name": "<string>",
"voice_id": "<string>",
"response_engine": {
"type": "<string>",
"llm_id": "<string>"
},
"response_threshold": 123,
"interruption_sensitivity": "<string>",
"ambient_sound": "<string>"
}
'import requests
url = "https://api.upon-ai.com/api/agents"
payload = {
"workspaceId": 123,
"agent_name": "<string>",
"voice_id": "<string>",
"response_engine": {
"type": "<string>",
"llm_id": "<string>"
},
"response_threshold": 123,
"interruption_sensitivity": "<string>",
"ambient_sound": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: 123,
agent_name: '<string>',
voice_id: '<string>',
response_engine: {type: '<string>', llm_id: '<string>'},
response_threshold: 123,
interruption_sensitivity: '<string>',
ambient_sound: '<string>'
})
};
fetch('https://api.upon-ai.com/api/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent_id": "<string>",
"version": 123,
"agent_name": "<string>",
"voice_id": "<string>",
"response_engine": {
"type": "<string>",
"llm_id": "<string>"
},
"response_threshold": 123,
"interruption_sensitivity": "<string>",
"ambient_sound": "<string>",
"responsiveness": "<string>",
"max_call_duration_ms": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Agents
Create agent
Create a new UponAI agent for use in calls and web sessions.
POST
/
api
/
agents
Create agent
Authorizations
Generate tokens from your profile settings at app.uponai.com.
Body
application/json
Response
201 - application/json
Newly created agent.
Show child attributes
Show child attributes
⌘I